-- This is the UIsetup.lua for all platforms
-- you can put lua code in here to tweak variables, settings, etc. related to the front-end

-- checks layer & widget pointers every update when not in FINAL_RELEASE
ui_debug_check_pointers = 0
-----

ui_show_all_weapons = 1
ui_show_all_abilities = 1
ui_unlimited_xp = 1
ui_unlock_gallery = 1
ui_dlc_characters_unlocked = 1

-- CAPTIVATE
ui_enable_debug_menu = 0
ui_debug_menu_server = "LAN"
ui_debug_game_creator_enabled = 0

-- E3 Demo
campaign_respawn_delay = 5
campaign_enable_respawn = 1

ui_infection_respawn_penalty = 10
ui_min_infection_respawn_delay = 10
ui_infected_respawn_delay = 20
ui_respawn_fadeout_timer = 2

single_player_campaign_infection_delay = 5


ui_show_real_specops_characters = 1

fe3d=1

ui_show_build_version_in_final = 0

-- We don't have a platform agnostic way of detecting the aspect ratio right now... use this for testing for now
uiAspectRatio = 1   -- 1 = 16:9 (widescreen), 0 = 4:3 (standard)

-- This allows us to directly to any layout in the ui, this is usefull for testing invididual screens.
-- You probably want to change this in personalTweak.lua instead of here
--uiStartLayout = "AspectRatioTest"  -- Use this to test proper placement of widgets etc, in various aspect ratios
--uiStartLayout = "StartScreen" -- skip the bootflow screens

ui_draw_title_safe_rect = 0

ui_enable_pause_menu_debug_camera = 1

-- ui_bootable_invite_join_roomid = 0x1000100000176
-- ui_bootable_invite_join_gameserver = gateway.slantsix.local

-- Set the amount of time between updates of the game list in the game connection screen
GameListUpdateInterval = 10

-- Show maps that have HIDDEN=Hidden in mapInfo.csv
ui_show_hidden_maps = 0

loc_errors_TNF = 0
loc_error_fileoutput = 0

-- these variable are for quick testing of C2 with and without the expansion
ui_debug_overwrite_expansion_settings = 0
ui_debug_c2_expansion_purchased = 1

-- NIS --

disable_placeholder_nis = 1

-- -------------------------------------------------------------------
-- webbrowser
-- -------------------------------------------------------------------
ui_webbrowser_full_screen_toggle = 0   -- 1 means fullscreen
ui_webbrowser_content_heap_size = 24   -- megabytes in range [24, 64]

-- -------------------------------------------------------------------
-- Default Audio Options
-- -------------------------------------------------------------------
ui_audio_default_sfx_volume = 100
ui_audio_default_music_volume = 100
ui_audio_default_dialogue_volume = 100

-- -------------------------------------------------------------------
-- Default Video Options
-- -------------------------------------------------------------------
-- ui_video_default_screen_brightness removed:
--   slider defaults to a percentage that represents a gamma of 1.0
--   eg if min gamma is 0.5 and max gamma is 2.5 then slider defaults to 0.25

-- -------------------------------------------------------------------
-- Default Game Options
-- -------------------------------------------------------------------
ui_game_default_enable_subtitles = 1
ui_game_default_enable_helptext = 1

-- -------------------------------------------------------------------
-- Default Controller Options
-- -------------------------------------------------------------------
ui_controller_default_sensitivity_pc = 50 -- %
ui_controller_default_dead_zone_pc = 50 -- percentage between min and max deadzone which are set via tweaker tool
ui_controller_default_invert_look_y_pc = 0
ui_controller_default_invert_look_x_pc = 0
ui_controller_default_aim_assist_pc = 0
ui_controller_default_target_lock_pc = 1
ui_controller_sticky_reticle_pc = 0
ui_controller_default_vibration_enabled_pc = 1
ui_controller_default_layout_pc = 1

ui_controller_default_sensitivity_console = 50 -- %
ui_controller_default_dead_zone_console = 50 -- percentage between min and max deadzone which are set via tweaker tool
ui_controller_default_invert_look_y_console = 0
ui_controller_default_invert_look_x_console = 0
ui_controller_default_aim_assist_console = 1
ui_controller_default_target_lock_console = 1
ui_controller_sticky_reticle_console = 1
ui_controller_default_vibration_enabled_console = 1
ui_controller_default_layout_console = 1

-- -------------------------------------------------------------------
-- Default Keyboard & Mouse Options
-- -------------------------------------------------------------------
ui_mouse_default_sensitivity = 50
ui_mouse_default_invert_x = 0
ui_mouse_default_invert_y = 0

-- -------------------------------------------------------------------
-- Sixaxis options
-- -------------------------------------------------------------------
ui_sixaxis_on = 1
ui_sixaxis_reticule = 0
ui_sixaxis_sensitivity = 50
ui_sixaxis_cover_orientation = 1
ui_dpad_lean = 1

-- -------------------------------------------------------------------
-- Color Tweaks for the in game score screen
-- -------------------------------------------------------------------
ui_dead_player_color_r = 136
ui_dead_player_color_g = 136
ui_dead_player_color_b = 136
ui_dead_player_color_a = 136

ui_local_player_color_r = 255
ui_local_player_color_g = 255
ui_local_player_color_b = 255
ui_local_player_color_a = 255

ui_alive_player_color_r = 255
ui_alive_player_color_g = 255
ui_alive_player_color_b = 255
ui_alive_player_color_a = 255
ui_matchmaking_game_seed = 55882
inactivityKickSecondsVersus = 300
inactivityKickSecondsCampaign = 300
